Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class Dimension

    java.lang.Object
      org.deegree.ogcwebservices.wms.capabilities.Dimension

    public class Dimension

extends Object

The Dimension element declares the _existence_ of a dimension. The optional element is used in Capabilities XML to declare that one or more dimensional parameters are relevant to the information holdings of that server. The Dimension element does not provide valid values for a Dimension; that is the role of the Extent element described below. A Dimension element includes a required name, a required measurement units specifier, and an optional unitSymbol.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $
Author:
  Katharina Lupp, Markus Schneider

Constructor Summary
`Dimension(Element elem)`
`Dimension(String name, String units, String unitSymbol)` constructor initializing the class with the

Method Summary
`String` | `getDefaultValue()`
`String` | `getName()`
`String` | `getUnits()`
`String` | `getUnitSymbol()`
`String` | `getValues()`
`boolean` | `isCurrent()`
`boolean` | `isMultipleValues()`
`boolean` | `isNearestValue()`
`void` | `setCurrent(boolean current)`
`void` | `setDefaultValue(String defaultValue)`
`void` | `setMultipleValues(boolean multipleValues)`
`void` | `setName(String name)` sets the name of the dimension
`void` | `setNearestValue(boolean nearestValue)`
`void` | `setUnits(String units)` sets the units the dimension is measured
`void` | `setUnitSymbol(String unitSymbol)` sets the unit symbols
`void` | `setValues(String values)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dimension

    public Dimension(String name,
                     String units,
                     String unitSymbol)

  constructor initializing the class with the

  Parameters:
    `name` -
    `units` -
    `unitSymbol` -

### Dimension

    public Dimension(Element elem)
              throws XMLParsingException

Parameters:
  `elem` -
Throws:
  `XMLParsingException`

Method Detail

### getName

    public String getName()

  Returns:
    the name of the dimension

### setName

    public void setName(String name)

  sets the name of the dimension

  Parameters:
    `name` -

### getUnits

    public String getUnits()

  Returns:
    the units the dimension is measured

### setUnits

    public void setUnits(String units)

  sets the units the dimension is measured

  Parameters:
    `units` -

### getUnitSymbol

    public String getUnitSymbol()

  Returns:
    the unit symbols

### setUnitSymbol

    public void setUnitSymbol(String unitSymbol)

  sets the unit symbols

  Parameters:
    `unitSymbol` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getDefaultValue

    public String getDefaultValue()

  Returns:
    the defaultValue

### setDefaultValue

    public void setDefaultValue(String defaultValue)

  Parameters:
    `defaultValue` - the defaultValue to set

### isMultipleValues

    public boolean isMultipleValues()

  Returns:
    the multipleValues

### setMultipleValues

    public void setMultipleValues(boolean multipleValues)

  Parameters:
    `multipleValues` - the multipleValues to set

### isNearestValue

    public boolean isNearestValue()

  Returns:
    the nearestValue

### setNearestValue

    public void setNearestValue(boolean nearestValue)

  Parameters:
    `nearestValue` - the nearestValue to set

### isCurrent

    public boolean isCurrent()

  Returns:
    the current

### setCurrent

    public void setCurrent(boolean current)

  Parameters:
    `current` - the current to set

### getValues

    public String getValues()

  Returns:
    the values

### setValues

    public void setValues(String values)

  Parameters:
    `values` - the values to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org